<?php
/*
VYBEREME VSTUP
*/
// textearea 'text'
if ($_POST["text"]!="") { $data=$_POST["text"]; }
// textearea 'left_column'
if ($column=="left") { $data=$_POST["left_column"]; }
// textearea 'right_column'
if ($column=="right") { $data=$_POST["right_column"]; }
/*
FORMÁTOVÁNÍ
*/
// entity
$article_title=htmlspecialchars($_POST["article_title"], ENT_NOQUOTES);
$perex=str_replace("&", "&amp;", $_POST["perex"]);
$data=htmlspecialchars($data, ENT_NOQUOTES);
// odstavce
$perex=str_replace("\r\n", "<br />", $perex);
$data="<p>".$data."</p>";
$data=str_replace("\r\n\r\n", "</p>\n\n<p>", $data);
$data=str_replace("\r\n", "<br />", $data);
// úprava závorek
$tags_starting_ending=array("[.alt]"=>"\" alt=\"", "[."=>"<", ".]"=>">", "[.]"=>"\">", "[./]"=>"\" />");
$data=strtr($data, $tags_starting_ending);
// nahrazení tagů + popisky
$tags_edit=array("<underline>"=>"<span style=\"text-decoration: underline;\">", "</underline>"=>"<!-- /underline --></span>", "<p><left>"=>"<p class=\"a-left\">", "<p><center>"=>"<p class=\"a-center\">", "<p><right>"=>"<p class=\"a-right\">", "<img>"=>"<img src=\"", "<link>"=>"<a href=\"", "</link>"=>"</a>", "<menu-title>"=>"<div class=\"menu-title\">", "</menu-title>"=>"</div>");
$data=strtr($data, $tags_edit);
// odstranění odstavců u blokových tagů - start
$block_tags_start=array("<p><ul"=>"<ul", "<p><ol"=>"<ol", "<p><h2"=>"<h2", "<p><h3"=>"<h3", "<p><h4"=>"<h4", "<p><h5"=>"<h5", "<p><h6"=>"<h6", "<p><div"=>"<div", "<p><blockquote"=>"<blockquote", "<p><address"=>"<address", "<p><pre>"=>"<pre>", "<p><dl"=>"<dl", "<p><table"=>"<table", "<p><applet"=>"<applet", "<p><object"=>"<object", "<p><embed"=>"<embed", "<p><form"=>"<form", "<p><p>"=>"<p>");
$data=strtr($data, $block_tags_start);
// odstranění odstavců u blokových tagů - end
$block_tags_end=array("</ul></p>"=>"</ul>", "</ol></p>"=>"</ol>", "</h2></p>"=>"</h2>", "</h3></p>"=>"</h3>", "</h4></p>"=>"</h4>", "</h5></p>"=>"</h5>", "</h6></p>"=>"</h6>", "</div></p>"=>"</div>", "</blockquote></p>"=>"</blockquote>", "</address></p>"=>"</address>", "</pre></p>"=>"</pre>", "</dl></p>"=>"</dl>", "</table></p>"=>"</table>", "</applet></p>"=>"</applet>", "</object></p>"=>"</object>", "</embed></p>"=>"</embed>", "</form></p>"=>"</form>", "</p></p>"=>"</p>");
$data=strtr($data, $block_tags_end);
// odstranění nehodících se BR
$br_clean=array("<ul><br />"=>"<ul>\n", "<ol><br />"=>"<ol>\n", "<br /><tr>"=>"\n<tr>", "<br /><th>"=>"\n<th>", "<br /><td>"=>"\n<td>", "</li><br />"=>"</li>\n");
$data=strtr($data, $br_clean);
// čištění skriptů
$data=str_replace("\"><br /><!--", "\">\n<!--", $data);
$data=str_replace("//--><br /></script>", "//-->\n</script>", $data);
$data=str_replace("<!--<br />", "<!--\n", $data);
$data=str_replace("<br />//-->", "\n//-->", $data);
$data=str_replace("\"><br />/* <![CDATA[ */", "\">\n/* <![CDATA[ */", $data);
$data=str_replace("/* ]]> */<br /></script>", "/* ]]> */\n</script>", $data);
$data=str_replace("/* <![CDATA[ */<br />", "/* <![CDATA[ */\n", $data);
$data=str_replace("<br />/* ]]> */", "\n/* ]]> */", $data);
// prázdný obsah -> odstavce pryč
if ($data=="<p></p>") { $data=""; }
/*
VYBEREME VÝSTUP
*/
// textearea 'text'
if ($_POST["text"]!="") { $text=$data; }
// textearea 'left_column'
if ($column=="left") { $left_column=$data; }
// textearea 'right_column'
if ($column=="right") { $right_column=$data; }
?>